#
# Conditional build:
%bcond_without	tests	# unit tests

%define		pdir	Sereal
%define		pnam	Decoder
Summary:	Sereal::Decoder - Fast, compact, powerful binary deserialization
Summary(pl.UTF-8):	Sereal::Decoder - szybka, zwarta, potężna deserializacja binarna
Name:		perl-Sereal-Decoder
Version:	5.004
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/modules/by-authors/id/Y/YV/YVES/Sereal-Decoder-%{version}.tar.gz
# Source0-md5:	87f2a3bb8e04609670b496a7bf952ff6
Patch0:		Sereal-Decoder-miniz.patch
URL:		https://metacpan.org/dist/Sereal-Decoder
BuildRequires:	csnappy-devel
BuildRequires:	miniz-devel
BuildRequires:	perl-Devel-CheckLib >= 1.16
BuildRequires:	perl-ExtUtils-MakeMaker >= 7.0
BuildRequires:	perl-ExtUtils-ParseXS >= 2.21
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRequires:	zstd-devel
%if %{with tests}
BuildRequires:	perl-Scalar-List-Utils
BuildRequires:	perl-Test-Deep
BuildRequires:	perl-Test-Differences
BuildRequires:	perl-Test-LongString
BuildRequires:	perl-Test-Simple >= 0.88
BuildRequires:	perl-Test-Warn
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library implements a deserializer for an efficient,
compact-output, and feature-rich binary protocol called Sereal. Its
sister module Sereal::Encoder implements an encoder for this format.
The two are released separately to allow for independent and safer
upgrading.

The Sereal protocol versions that are compatible with this decoder
implementation are currently protocol versions 1, 2, and 3. As it
stands, it will refuse to attempt to decode future versions of the
protocol, but if necessary there is likely going to be an option to
decode the parts of the input that are compatible with version 3 of
the protocol. The protocol was designed to allow for this.

The protocol specification and many other bits of documentation can be
found in the github repository at <https://github.com/Sereal/Sereal>.

%description -l pl.UTF-8
Ten moduł implementuje deserializer dla wydajnego, mającego zwarte
wyjście i wiele możliwości, binarnego protokołu o nazwie Sereal.
Siostrzany moduł Sereal::Encoder implementuje koder dla tego formatu.
Moduły wydawane są osobno, aby umożliwić niezależne i bezpieczniejsze
aktualizacje.

Ten dekoder jest obecnie zgodny z protokołem Sereal w wersjach 1, 2,
3. Odmówi prób dekodowania późniejszych wersji, ale w razie potrzeby
może być opcja dekodowania części wejścia zgodnej z wersją 3
protokołu.

Specyfikację protokołu i inną dokumentację można znaleźć w
repozytorium github <https://github.com/Sereal/Sereal>.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%ifarch %{ix86} %{x8664} x32
export USE_UNALIGNED=yes
%else
export USE_UNALIGNED=no
%endif
export NO_ASM=no

%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} -j1 \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorarch}/Sereal
%{perl_vendorarch}/Sereal/Decoder.pm
%{perl_vendorarch}/Sereal/Performance.pm
%dir %{perl_vendorarch}/Sereal/Decoder
%{perl_vendorarch}/Sereal/Decoder/*.pm
%dir %{perl_vendorarch}/auto/Sereal
%dir %{perl_vendorarch}/auto/Sereal/Decoder
%attr(755,root,root) %{perl_vendorarch}/auto/Sereal/Decoder/Decoder.so
%{_mandir}/man3/Sereal::Decoder.3pm*
%{_mandir}/man3/Sereal::Performance.3pm*
%changelog
* Thu Jul 04 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Sereal-Decoder.git;a=log;h=master

* Thu Jul 04 2024 Jakub Bogusz <qboosh@pld-linux.org> 1bb5f07
- updated to 5.004, use system csnappy and miniz

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 94a8807
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 767dd77
- perl 5.38.0 rebuild

* Fri Feb 03 2023 Jakub Bogusz <qboosh@pld-linux.org> 04f7e3f
- updated to 4.025

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> b177689
- perl 5.36.0 rebuild

* Mon May 30 2022 Jakub Bogusz <qboosh@pld-linux.org> 6a93ec9
- updated to 4.023

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> d37a20d
- rebuild with perl 5.34.0

* Fri May 21 2021 Jakub Bogusz <qboosh@pld-linux.org> 96c76cb
- BR: zstd-devel

* Thu May 20 2021 Jakub Bogusz <qboosh@pld-linux.org> 73bb6ed
- updated to 4.018

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> a450464
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 7e7fb3f
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> c275146
- rebuild with perl 5.30.0
- release 3 (by relup.sh)

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> ddc8c0f
- release 2

* Thu Mar 08 2018 Marcin Krol <hawk@tld-linux.org> c03b6dd
- updated to 4.005

* Wed Jun 28 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 72aa049
- up to 3.015

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 92fe8ce
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 40c0bb0
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 03256be
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Fri Jan 08 2016 Jakub Bogusz <qboosh@pld-linux.org> 93113f3
- updated to 3.014
- pl

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 61e57a7
- release 3 (by relup.sh)

